# $Revision: 1.19 $, $Date: 2003/08/02 15:26:58 $
Summary:	Embeddable database
Summary(pl):	Baza danych
Name:		metakit
Version:	2.4.9.2
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://www.equi4.com/pub/mk/%{name}-%{version}.tar.gz
# Source0-md5:	d436a49baed1a31d1ef01ea537e4ba63
Patch0:		%{name}-no_static.patch
URL:		http://www.equi4.com/metakit/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	tcl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MetaKit is an embeddable database which runs on Unix, Windows,
Macintosh, and other platforms. It lets you build applications which
store their data efficiently, in a portable way, and which will not
need a complex runtime installation. In terms of the data model,
MetaKit takes the middle ground between RDBMS, OODBMS, and flat-file
databases - yet it is quite different from each of them.

%description -l pl
MetaKit to baza danych pracujca na platformach Unix, Windows,
Macintosh oraz innych. Pozwala ona na tworzenie aplikacji, ktre
zapisuj dane efektywnie w sposb atwy do przenoszenia midzy
platformami i ktre nie wymagaj skomplikowanej instalacji. MetaKit
uywajc okrele z dziedziny baz danych znajduje si pomidzy RDBMS,
OODBMS i bazami opartymi na paskich-plikach.

%package devel
Summary:	Header files and development documentation for %{name}
Summary(pl):	Pliki nagwkowe i dokumentacja do %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for %{name}.

%description devel -l pl
Pliki nagwkowe i dokumentacja do %{name}.

%package static
Summary:	%{name} static library
Summary(pl):	Statyczna biblioteka %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
%{name} static library.

%description static -l pl
Biblioteka statyczna %{name}.

%prep
%setup -q
%patch0 -p1

%build
cd unix
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_libdir}} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cd unix

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd ..
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README WHATSNEW
%attr(755,root,root) %{_libdir}/*.so

%files devel
%defattr(644,root,root,755)
%doc CHANGES MetaKit.html doc
%{_libdir}/*.la
%{_includedir}/*.h
%{_includedir}/*.inl
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: metakit.spec,v $
Revision 1.19  2003/08/02 15:26:58  grzegol
- removed DESTDIR patch
- added examples
- more docs
- cleanups
- rel. 2

Revision 1.18  2003/06/24 11:17:41  ankry
- proper URL and md5 now

Revision 1.17  2003/06/24 10:52:43  ankry
- 2.4.9.2, untested

Revision 1.16  2003/06/24 10:50:52  ankry
- md5

Revision 1.15  2003/05/28 12:59:43  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:50:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/11/25 14:17:27  ankry
- massive attack: no need for 755 for *.la

Revision 1.12  2002/10/09 13:14:40  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.10  2002/05/21 23:14:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/05/03 19:56:42  mmazur
- updated to 2.4.5... it's semibroken but works (I think :)

Revision 1.8  2002/02/23 03:44:48  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:29:15  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:13:49  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/09/26 12:29:26  qboosh
- adapterized, BuildRequires: automake

Revision 1.4  2001/04/22 16:30:46  kloczek
- release 2.

Revision 1.3  2001/04/22 14:01:47  misiek
added debian patch

Revision 1.2  2001/04/22 09:59:31  misiek
.inl files added

Revision 1.1  2001/04/22 09:15:11  misiek
- new, embeddable database
- release 1


